import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetEventSelectorsInput } from "../types/GetEventSelectorsInput";
import { GetEventSelectorsOutput } from "../types/GetEventSelectorsOutput";
import { CloudTrailResolvedConfiguration } from "../CloudTrailConfiguration";
export * from "../types/GetEventSelectorsInput";
export * from "../types/GetEventSelectorsOutput";
export * from "../types/GetEventSelectorsExceptionsUnion";
export declare class GetEventSelectorsCommand implements __aws_sdk_types.Command<InputTypesUnion, GetEventSelectorsInput, OutputTypesUnion, GetEventSelectorsOutput, CloudTrailResolvedConfiguration, Blob> {
    readonly input: GetEventSelectorsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetEventSelectorsInput, GetEventSelectorsOutput, Blob>;
    constructor(input: GetEventSelectorsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CloudTrailResolvedConfiguration): __aws_sdk_types.Handler<GetEventSelectorsInput, GetEventSelectorsOutput>;
}
