"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetTrailStatusInput_1 = require("../shapes/GetTrailStatusInput");
var GetTrailStatusOutput_1 = require("../shapes/GetTrailStatusOutput");
var TrailNotFoundException_1 = require("../shapes/TrailNotFoundException");
var InvalidTrailNameException_1 = require("../shapes/InvalidTrailNameException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetTrailStatus = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetTrailStatus",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetTrailStatusInput_1.GetTrailStatusInput
    },
    output: {
        shape: GetTrailStatusOutput_1.GetTrailStatusOutput
    },
    errors: [
        {
            shape: TrailNotFoundException_1.TrailNotFoundException
        },
        {
            shape: InvalidTrailNameException_1.InvalidTrailNameException
        }
    ]
};
//# sourceMappingURL=GetTrailStatus.js.map