"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ResourceList_1 = require("./_ResourceList");
exports._Event = {
    type: "structure",
    required: [],
    members: {
        EventId: {
            shape: {
                type: "string"
            }
        },
        EventName: {
            shape: {
                type: "string"
            }
        },
        ReadOnly: {
            shape: {
                type: "string"
            }
        },
        AccessKeyId: {
            shape: {
                type: "string"
            }
        },
        EventTime: {
            shape: {
                type: "timestamp"
            }
        },
        EventSource: {
            shape: {
                type: "string"
            }
        },
        Username: {
            shape: {
                type: "string"
            }
        },
        Resources: {
            shape: _ResourceList_1._ResourceList
        },
        CloudTrailEvent: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_Event.js.map