import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListPublicKeysInput } from "../types/ListPublicKeysInput";
import { ListPublicKeysOutput } from "../types/ListPublicKeysOutput";
import { CloudTrailResolvedConfiguration } from "../CloudTrailConfiguration";
export * from "../types/ListPublicKeysInput";
export * from "../types/ListPublicKeysOutput";
export * from "../types/ListPublicKeysExceptionsUnion";
export declare class ListPublicKeysCommand implements __aws_sdk_types.Command<InputTypesUnion, ListPublicKeysInput, OutputTypesUnion, ListPublicKeysOutput, CloudTrailResolvedConfiguration, Blob> {
    readonly input: ListPublicKeysInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListPublicKeysInput, ListPublicKeysOutput, Blob>;
    constructor(input: ListPublicKeysInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CloudTrailResolvedConfiguration): __aws_sdk_types.Handler<ListPublicKeysInput, ListPublicKeysOutput>;
}
