"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateTrail_1 = require("../model/operations/UpdateTrail");
var UpdateTrailCommand = /** @class */ (function () {
    function UpdateTrailCommand(input) {
        this.input = input;
        this.model = UpdateTrail_1.UpdateTrail;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateTrailCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateTrailCommand;
}());
exports.UpdateTrailCommand = UpdateTrailCommand;
//# sourceMappingURL=UpdateTrailCommand.js.map